Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.ui.component.html
Enum HtmlEqualityValidator.Properties

    java.lang.Object
      java.lang.Enum<HtmlEqualityValidator.Properties>
          org.jboss.seam.ui.component.html.HtmlEqualityValidator.Properties

All Implemented Interfaces:
  Serializable, Comparable<HtmlEqualityValidator.Properties>

Enclosing class:
  HtmlEqualityValidator

    protected static enum HtmlEqualityValidator.Properties

extends Enum<HtmlEqualityValidator.Properties>

Enum Constant Summary
`forValue`
`message`
`messageId`
`operator`
`required`

Method Summary
`String` | `toString()`
`static HtmlEqualityValidator.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlEqualityValidator.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### forValue

    public static final HtmlEqualityValidator.Properties forValue

### message

    public static final HtmlEqualityValidator.Properties message

### messageId

    public static final HtmlEqualityValidator.Properties messageId

### operator

    public static final HtmlEqualityValidator.Properties operator

### required

    public static final HtmlEqualityValidator.Properties required

Method Detail

### values

    public static HtmlEqualityValidator.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlEqualityValidator.Properties c : HtmlEqualityValidator.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlEqualityValidator.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlEqualityValidator.Properties>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.